%define name hlds_ld
%define version 1.50b2
%define release 1mdk
%define summary Advanced Server Management for Linux Half Life Servers!
%define hldir %{_prefix}/local/hlds_l

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Servers
Source0:	http://linuxhlds.halflife.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
URL:		http://linuxhlds.halflife.org
Requires:	tcl tclx tk
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
hlds_ld is a Linux Half-Life server management tool, consisting of a daemon process and GUI clients.
It is designed to work with all mods (TFC, Counter-Strike, etc).

%package cgi
Summary:	CGI script for %{name}
Group:		System/Libraries
Requires:	%{name} webserver

%description cgi
This package contains a script meant to be executed by your web server to provide realtime stats on your server to your web clients

%package french
Summary:	french translations for %{name}
Group:		System/Libraries
Requires:	%{name}

%description french
This package contains french translations for hlds_ld daemon (not GUI).

%prep
%setup
bzcat %{SOURCE1} > hldsld

%build

%install
install -d -m 0755 $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d
install -d -m 0755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m 0755 $RPM_BUILD_ROOT/%{hldir}
install -d -m 0755 $RPM_BUILD_ROOT/%{hldir}/valve
install -d -m 0755 $RPM_BUILD_ROOT/%{hldir}/cstrike
install -d -m 0755 $RPM_BUILD_ROOT/%{hldir}/tfc
install -d -m 0755 $RPM_BUILD_ROOT/%{hldir}/gearbox
install -d -m 0755 $RPM_BUILD_ROOT/var/www/cgi-bin
# Files that install in bin/
install -m 0755 hlds_ld hlcmd hlgui hlclustermon $RPM_BUILD_ROOT/%{_bindir}
# Files that install in HLDIR
install -m 0644 hlds_ld.txt hlds_ld_client.cfg hlds_ld_cluster.cfg $RPM_BUILD_ROOT/%{hldir}
install -m 0644 francais/hlds_ld.txt $RPM_BUILD_ROOT/%{hldir}/hlds_ld.txt.fr
# Files that install in HLDIR/mod
install -m 0644 valve/hlds_ld.cfg $RPM_BUILD_ROOT/%{hldir}/valve
install -m 0644 cstrike/hlds_ld.cfg $RPM_BUILD_ROOT/%{hldir}/cstrike
install -m 0644 tfc/hlds_ld.cfg $RPM_BUILD_ROOT/%{hldir}/tfc
install -m 0644 gearbox/hlds_ld.cfg $RPM_BUILD_ROOT/%{hldir}/gearbox
# CGI script
install -m 0755 hlds_ld_cgi $RPM_BUILD_ROOT/var/www/cgi-bin
# Start script
install -m 0755 hldsld $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d

%clean
rm -rf ${RPM_BUILD_ROOT}

%post french
mv %{hldir}/hlds_ld.txt %{hldir}/hlds_ld.txt.en
mv %{hldir}/hlds_ld.txt.fr %{hldir}/hlds_ld.txt

%preun french
mv %{hldir}/hlds_ld.txt.en %{hldir}/hlds_ld.txt
mv %{hldir}/hlds_ld.txt %{hldir}/hlds_ld.txt.fr

%files
%defattr(-,root,root)
%doc FAQ README
%{_sysconfdir}/rc.d/init.d/hldsld
%{_bindir}/*
%{hldir}/hlds_ld.txt
%config(noreplace) %{hldir}/hlds_ld_client.cfg
%config(noreplace) %{hldir}/hlds_ld_cluster.cfg
%config(noreplace) %{hldir}/valve/hlds_ld.cfg
%config(noreplace) %{hldir}/cstrike/hlds_ld.cfg
%config(noreplace) %{hldir}/tfc/hlds_ld.cfg
%config(noreplace) %{hldir}/gearbox/hlds_ld.cfg

%files cgi
%defattr(-,root,root)
%config(noreplace) /var/www/cgi-bin/hlds_ld_cgi

%files french
%defattr(-,root,root)
%{hldir}/hlds_ld.txt.fr

%changelog
* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.50b2-1mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.50b2
	- start script in /etc/rc.d/init.d

* Tue Mar 06 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.40-1mdk
- 1.40
- removed french translations sources as they are now included in release
- put french translations in a distinct package
- used %config(noreplace) for every config file and CGI script
- spec cleanup

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-3mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- moved french translation in %{_docdir}
	- minor spec cleanup

* Tue Dec 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-2mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
- added french server translation
- added cgi package
		  
* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.31-1mdk
- new in contribs
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com
		    
* Sun Dec 17 2000 Guillaume Rousse <g.rousse@linux-mandrake.com>
- first Mandrake package  
